Subject: RE: Package tracking?
From: "Bsn Gl Greater Michigan - Grand Rapids, MI" <[email-masked]>
To: Michael B <[email-masked]>
Cc: "Bsn Gl Greater Michigan - Grand Rapids, MI" <[email-masked]>
Date: Fri, 2 Feb 2018 14:42:09 +0000

Good morning Michael,

We are aware of delays that are being experienced through one of the processing facilities in our network.  A team of additional management members has been onsite to identify areas of opportunity and plans to improve mail flow have been implemented.  We will continue to look for improvement opportunities and will monitor service for sustained success.

We sincerely apologize for the inconvenience this has caused.  Feedback such as yours has been instrumental in finding solutions.

I am sorry, I cannot tell you when to expect delivery of your item.

Cynthia Matheny
Business Service Network Representative
616-776-6143
269-965-6531
[email-masked]<mailto:[email-masked]>

Get More from the Business Service Network by using BSN eSERVICE. With BSN eSERVICE,  you can communicate directly with your BSN using Live Agent, receive important information regarding weather related service impacts as well as create & monitor service requests online at your own convenience.  For more information, contact your Business Service Network (BSN) Rep or the Headquarter BSN Team at [email-masked]<mailto:[email-masked]>

From: Michael B [mailto:[email-masked]]
Sent: Friday, February 2, 2018 9:11 AM
To: Bsn Gl Greater Michigan - Grand Rapids, MI <[email-masked]>
Subject: Re: Package tracking?

Hello Cynthia.
Yes it is. It was sent from China. I'm not surprised it has taken as long as it has. I just checked it in tracking on USPS.com. Just not sure why it has nothing since 1/29.
Thank you,
Michael Bishop
Labor Law Poster Service
877-321-4144 x355

From: Bsn Gl Greater Michigan - Grand Rapids, MI<mailto:[email-masked]>
Sent: Thursday, February 01, 2018 4:46 PM
To: Michael B<mailto:[email-masked]>
Cc: Bsn Gl Greater Michigan - Grand Rapids, MI<mailto:[email-masked]>
Subject: RE: Package tracking?

Good afternoon Michael,

Is this an international item?  I could find no information with that tracking number in our database.

Please double check the number and get back with me.

Thank you,

Cynthia Matheny
Business Service Network Representative
616-776-6143
269-965-6531
[email-masked]<mailto:[email-masked]>

Get More from the Business Service Network by using BSN eSERVICE. With BSN eSERVICE,  you can communicate directly with your BSN using Live Agent, receive important information regarding weather related service impacts as well as create & monitor service requests online at your own convenience.  For more information, contact your Business Service Network (BSN) Rep or the Headquarter BSN Team at [email-masked]<mailto:[email-masked]>

From: Michael B [mailto:[email-masked]]
Sent: Thursday, February 1, 2018 4:39 PM
To: Matheny, Cynthia L - Lansing, MI <[email-masked]<mailto:[email-masked]>>
Subject: Package tracking?

Hello Cynthia.
Can you please send me the status on a package? The last tracking just shows delayed on January 29th and nothing more since. Would it be at a local post office? The tracking is LS252199201CN and should have my name on it and addressed to 8607 Carlsbad Lane, Lansing, MI 48917. Please let me know if anything further is needed.
Thank you,
Michael Bishop
Labor Law Poster Service
877-321-4144 x355